> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get templatesparsers 1



## OpenAPI

````yaml /api-reference/4.2/service-parser-templates.json get /templates/parsers/{templateId}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service parser-templates
servers:
  - url: /api/apollo/
security: []
tags:
  - name: parser-templates
paths:
  /templates/parsers/{templateId}:
    get:
      tags:
        - 4.2 Parser Templates API
      operationId: getTemplate
      parameters:
        - name: templateId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParserConfig'
components:
  schemas:
    ParserConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        idField:
          type: string
          readOnly: true
        enableMediaTypeDetection:
          type: boolean
          readOnly: true
          default: false
        maxParserDepth:
          type: integer
          format: int32
          readOnly: true
        parserStages:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParserStageConfig'
    ParserStageConfig:
      type: object
      properties:
        label:
          type: string
        enabled:
          type: boolean
          default: false
        mediaTypes:
          type: array
          items:
            type: string
        pathPatterns:
          type: array
          items:
            $ref: '#/components/schemas/SyntaxAndPattern'
        errorHandling:
          type: string
          readOnly: true
          enum:
            - IGNORE
            - LOG
            - FAIL
            - MARK
        id:
          type: string
          readOnly: true
        inheritMediaTypes:
          type: boolean
          default: false
        outputFieldPrefix:
          type: string
    SyntaxAndPattern:
      type: object
      properties:
        syntax:
          type: string
          readOnly: true
          enum:
            - GLOB
            - REGEX
        pattern:
          type: string
          readOnly: true

````